Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056979 - X session crash when displaying DPReview page with Firefox 26.0
Summary: X session crash when displaying DPReview page with Firefox 26.0
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 19
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-23 09:45 UTC by diego.coste
Modified: 2015-02-17 19:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 19:55:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 962997 None None None Never

Description diego.coste 2014-01-23 09:45:38 UTC
Description of problem:
X session crashes when scrolling down in Firefox 26.0 while displaying
http://www.dpreview.com/articles/6018399843/using-third-party-lenses-on-the-sony-a7-a7r


Version-Release number of selected component (if applicable):

Fedora Core 19 64-bit (yum update just wants to upgrade ffmpeg_libs)
Linux MyMachine 3.12.6-200.fc19.x86_64 #1 SMP Mon Dec 23 16:33:38 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

KDE environment

Firefox 26.0

Also reproduced on Fedora 17 32-bit + Firefox 20 accessed through NX session:
crashes the KDE X session of the laptop running NX client in F19 and accessing remote F17 desktop running Firefox and NX server
Not reproduced when running X locally on F17 32b desktop (12GB RAM)


How reproducible:
100%


Steps to Reproduce:
1. Run Firefox 26.0
2. Display http://www.dpreview.com/articles/6018399843/using-third-party-lenses-on-the-sony-a7-a7r
3. Scroll down page

Actual results:
Whole KDE session crashes; returns to login screen


Expected results:
Just display the page, or just a Firefox crash, but not a whole X session crash !
Problem not reproduced with Konqueror


Additional info:
Bug also filed on Mozilla side : 
https://bugzilla.mozilla.org/show_bug.cgi?id=962997


System description:

Fedora Core 19 64-bit (yum update just wants to upgrade ffmpeg_libs)

Linux MyMachine 3.12.6-200.fc19.x86_64 #1 SMP Mon Dec 23 16:33:38 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Firefox 26.0

HP8470p Laptop Intel core i5-3380M CPU @ 2.9GHz
8GB memory

Multi-screen config:
Laptop's AUOptronics LVDS 1600x900
+ DELL 2408 1920x1200 (DisplayPort on docking station)
+ DELL 2007 1600x1200 (DVI on docking station)

CPU: Intel(R) Core(TM) i5-3380M CPU @ 2.90GHz
GPU: Advanced Micro Devices, Inc. [AMD/ATI] Thames [Radeon HD 7550M/7570M/7650M]
Audio: HDA Intel PCH (92HD81B1X5 Alt Analog)
Audio: ALSA Timer Device
Audio: ALSA Sequencer Device
Audio: HDA Intel PCH (92HD81B1X5 Analog)
Audio: HDA Intel PCH(HDA Intel ALSA hardware specific Device)
Audio: HD-Audio Generic
Audio: HD-Audio Generic (HDMI 0)
Audio: HDA Intel PCH
Audio: Turks/Whistler HDMI Audio [Radeon HD 6000 Series]
Audio: HD-Audio Generic(HDA Intel ALSA hardware specific Device)
Network: 82579LM Gigabit Network Connection
Network: AX88772A Fast Ethernet (USB-Ethernet adapter)
Network: Loopback device Interface
Network: Centrino Advanced-N 6205 AGN

Comment 1 Fedora End Of Life 2015-01-09 21:08:20 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-02-17 19:55:33 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.